# Interface ngeoProfileOptions

#### Hierarchy

- ngeoProfileOptions

- Defined in src/options.js:336

#####
Index

### Properties

light
lightXAxis
linesConfiguration
poiLabelAngle
styleDefs

## Properties

### light

light: boolean

Show a simplified profile when true.

- Defined in src/options.js:341

### lightXAxis

lightXAxis: boolean

Show a simplified x axis with only both end ticks.

- Defined in src/options.js:342

### linesConfiguration

linesConfiguration: Object

Configuration object for the profile's

- Defined in src/options.js:337

### poiLabelAngle

poiLabelAngle: number

Inline CSS style definition to inject in the SVG. lines. The key string of each object is used as class for its respective svg line.

- Defined in src/options.js:339

### styleDefs

styleDefs: string

Inline CSS style definition to inject in the SVG.

- Defined in src/options.js:338

Generated using TypeDoc